Subject: Re: [PATCH resend] drop_monitor: fix trace_napi_poll_hit()

From: Eric Dumazet <[email-masked]>
Date: Mon, 31 Aug 2009 15:33:50 +0200

Neil Horman a écrit :
> I still see a large number of drivers that update dev->last_rx, although its
> not all as I look through the list, so something definately seems amiss.

Some drivers still update dev->last_rx for their own needs, not a core
network concern.

But a cleanup is certainly possible on few other drivers, about a dozen
if I count correctly.

> 
> If its not going to be consistently updated, why are still carrying that field
> in dev?  Are we just waiting on someone to do the janitorial work to remove it?
> If so, I can, and I'll fix up the drop monitor in the process, to use a private
> timestamp.

We have to keep dev->last_rx for bonding use, so please use a private
timestamp for drop monitor.

Thanks